=== tests/CMakeLists.txt ===
set(BIN_NAME unit-test)
