## dde-control-center 6.1.43

=== CMakeLists.txt ===
--- 
+++ 
@@ -199,6 +199,8 @@
 set(DCC_FRAME_Library dde-control-center_frame)
 
 add_subdirectory(src/dde-control-center)
+#-----------------------shared-utils------------------------
+add_subdirectory(src/shared-utils)
 #--------------------------plugins--------------------------
 add_subdirectory(src/plugin-accounts)
 if (NOT DISABLE_AUTHENTICATION)
