=== debian/changelog ===
dde-control-center (6.1.43) unstable; urgency=medium

  * fix: update region format config flags
  * chore: update desktop translation
  * i18n: Updates for project Deepin Desktop Environment (#2573)
  * fix: adjust notification UI alignment
  * fix: improve input field UI consistency
  * fix: adjust password layout spacing and margins
  * fix: improve shortcut conflict text display
  * fix: improve Bluetooth UI state handling during power toggle
  * fix: improve shortcut dialog text consistency
  * fix: bluetooth device list auto-refresh after power toggle (#2567)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 14 Aug 2025 20:46:50 +0800

dde-control-center (6.1.42) unstable; urgency=medium

  * fix: improve bluetooth mode selection stability (#2564)
  * i18n: Updates for project Deepin Desktop Environment (#2558)
  * fix: round margin values to prevent subpixel blurring

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:38:51 +0800

dde-control-center (6.1.41) unstable; urgency=medium

  * fix: improve gesture action data handling
  * i18n: Updates for project Deepin Desktop Environment (#2552)
  * fix: Created successfully with the same username and password
  * fix: add focus support for SearchableListViewPopup

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 07 Aug 2025 20:52:06 +0800

dde-control-center (6.1.40) unstable; urgency=medium

  * fix: unsupported relocation error on arm64

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 01 Aug 2025 11:08:00 +0800

dde-control-center (6.1.39) unstable; urgency=medium

  * chore: remove upper-level datetime_*.ts resources
  * fix: Modify the translation of Scaling
  * i18n: Updates for project Deepin Desktop Environment (#2549)
  * fix: update double click speed slider labels
  * style: adjust datetime plugin UI elements
  * fix: remove unnecessary trim in Bluetooth device name validation
  * fix: Cursor display jumps add text measurement and auto-alignment
    for text field
  * i18n: Updates for project Deepin Desktop Environment (#2545)
  * fix: remove unused QString to UnicodeString convert
  * fix: remove the need of `datetime_language.ts` and
    `datetime_country.ts`
  * i18n: Updates for project Deepin Desktop Environment (#2543)
  * chore: update ts files
  * i18n: Translate dde-control-center_en.ts in es (#2541)
  * fix: remove the need of `keyboard_language.ts` resources
  * i18n: Updates for project Deepin Desktop Environment (#2521)
  * fix: add fallback for empty app icons in notification plugin
  * fix: show shortcut keys in edit mode
  * refactor: remove redundant textColor property in NativeInfoPage
  * fix: allow saving shortcuts with modifier-only keys
  * feat: adjust notification combo box width
  * fix: Fixed the issue of incomplete display of large fonts
  * fix: Modify search error issues
  * fix: Modify the schematic diagram style
  * fix: resolve active color inconsistency in timezone menu popup
  * fix: Change the size of the hover background
  * fix: Fixed the issue of pop-up theme mismatch
  * fix: resolve theme adaptation issues in RegionsChooserWindow dark
    mode
  * fix: resolve cancel operation in shortcut setting dialog
  * fix: Fix mailbox errors
  * fix: Fix the startup screen
  * fix: reset view position when searching in RegionFormatDialog
  * fix: resolve empty region list after clearing search input
  * fix: The error message is fixed

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:42:46 +0800
